<?php

declare(strict_types=1);

namespace Dedi\SyliusDpdPickUpPlugin\Form\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;

class SearchPickUpType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('zipCode', TextType::class, [
                'required' => true,
                'label' => 'sylius.form.address.postcode',
            ])
            ->add('city', TextType::class, [
                'required' => true,
                'label' => 'sylius.form.address.city',
            ])
            ->add('address', TextType::class, [
                'required' => true,
                'label' => 'sylius.form.address.street',
            ])
        ;
    }
}
