<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusDpdPickUpPlugin\Application\src\Entity;

use Dedi\SyliusDpdPickUpPlugin\Entity\OrderInterface;
use Dedi\SyliusDpdPickUpPlugin\Entity\OrderTrait as DediDpdPickUpOrderTrait;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\Order as BaseOrder;

/**
 * @ORM\Entity
 * @ORM\Table(name="sylius_order")
 */

class Order extends BaseOrder implements OrderInterface
{
    use DediDpdPickUpOrderTrait;
}
